curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"topic": "Topic",
"summary": "Summary",
"status": "OPEN",
"priority": "HIGH",
"queueId": "6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}"
payload = {
"topic": "Topic",
"summary": "Summary",
"status": "OPEN",
"priority": "HIGH",
"queueId": "6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"topic\": \"Topic\",\n \"summary\": \"Summary\",\n \"status\": \"OPEN\",\n \"priority\": \"HIGH\",\n \"queueId\": \"6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a\",\n \"agentId\": \"c856e230-a8cd-498b-9996-42bbed35029a\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"topic\": \"Topic\",\n \"summary\": \"Summary\",\n \"status\": \"OPEN\",\n \"priority\": \"HIGH\",\n \"queueId\": \"6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a\",\n \"agentId\": \"c856e230-a8cd-498b-9996-42bbed35029a\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'topic' => 'Topic',
'summary' => 'Summary',
'status' => 'OPEN',
'priority' => 'HIGH',
'queueId' => '6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a',
'agentId' => 'c856e230-a8cd-498b-9996-42bbed35029a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topic: 'Topic',
summary: 'Summary',
status: 'OPEN',
priority: 'HIGH',
queueId: '6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a',
agentId: 'c856e230-a8cd-498b-9996-42bbed35029a'
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "1ddece93-041f-42ac-8e25-d05801dfe358",
"topic": "Conversation topic",
"summary": "Conversation summary",
"status": "OPEN",
"priority": "HIGH",
"queueId": "6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00"
}Update conversation
Use this method to update a conversation. Closed conversations cannot be changed. To change an assignment to another agent or a bot, use Change conversation assignment.More info
Required scope: Enable one of: conversations:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"topic": "Topic",
"summary": "Summary",
"status": "OPEN",
"priority": "HIGH",
"queueId": "6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}"
payload = {
"topic": "Topic",
"summary": "Summary",
"status": "OPEN",
"priority": "HIGH",
"queueId": "6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"topic\": \"Topic\",\n \"summary\": \"Summary\",\n \"status\": \"OPEN\",\n \"priority\": \"HIGH\",\n \"queueId\": \"6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a\",\n \"agentId\": \"c856e230-a8cd-498b-9996-42bbed35029a\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"topic\": \"Topic\",\n \"summary\": \"Summary\",\n \"status\": \"OPEN\",\n \"priority\": \"HIGH\",\n \"queueId\": \"6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a\",\n \"agentId\": \"c856e230-a8cd-498b-9996-42bbed35029a\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'topic' => 'Topic',
'summary' => 'Summary',
'status' => 'OPEN',
'priority' => 'HIGH',
'queueId' => '6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a',
'agentId' => 'c856e230-a8cd-498b-9996-42bbed35029a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topic: 'Topic',
summary: 'Summary',
status: 'OPEN',
priority: 'HIGH',
queueId: '6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a',
agentId: 'c856e230-a8cd-498b-9996-42bbed35029a'
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "1ddece93-041f-42ac-8e25-d05801dfe358",
"topic": "Conversation topic",
"summary": "Conversation summary",
"status": "OPEN",
"priority": "HIGH",
"queueId": "6f2e6c5a-e4ca-48c6-bc0a-d9c18479743a",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00"
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the conversation being updated.
Body
Conversation topic.
1000Short description of the conversation.
4000Conversation status.
OPEN, WAITING, SOLVED, CLOSED Conversation priority.
URGENT, HIGH, NORMAL, LOW Id of the queue conversation belongs to.
255Id of the agent assigned to the conversation.
255Response
OK
Conversation Id.
Conversation topic.
1000Short description of the conversation.
4000Conversation status.
OPEN, WAITING, SOLVED, CLOSED Conversation priority.
URGENT, HIGH, NORMAL, LOW Id of the queue conversation belongs to.
255Id of the agent assigned to the conversation.
255Time stamp when conversation is created.
Time stamp when conversation is updated.
If conversation is closed, time stamp when is closed.